commit:     3af0ed49ea0b1b91c50a7180b3a3b307ef8d2fba
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 31 17:49:48 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Dec 31 17:49:48 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3af0ed49

sys-fs/e2fsprogs: add 1.46.5

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sys-fs/e2fsprogs/Manifest                |   1 +
 sys-fs/e2fsprogs/e2fsprogs-1.46.5.ebuild | 189 +++++++++++++++++++++++++++++++
 2 files changed, 190 insertions(+)

diff --git a/sys-fs/e2fsprogs/Manifest b/sys-fs/e2fsprogs/Manifest
index 0fe82b8dc06c..6a975975148c 100644
--- a/sys-fs/e2fsprogs/Manifest
+++ b/sys-fs/e2fsprogs/Manifest
@@ -1,2 +1,3 @@
 DIST e2fsprogs-1.42.9-mint-r1.patch.xz 9012 BLAKE2B 
ae6421587c3cca2f9b26805c5f8d236d3fecde78cc7df3776ae9c23c7f254d7240e06507568fdd2154a16113c47609a8143535ab9cb2925426d3c578d077ce26
 SHA512 
591a7c80d65082eebcdc455028be6ade05c9aae96c94f654106be0facef330a8875dae82891e6e3ad2b48dece2b4e1c1940dbc47cd3eba3e6eea3b5ddba9a8fc
 DIST e2fsprogs-1.46.4.tar.xz 7035200 BLAKE2B 
473f7fd3f521b94cdaa68e37784a518fc1919387dd114f31b5338f1b4c472f86b150229ec3dcae8b73eac95330c0dea729befc8cea08bcf1e455c0b6652d6d2b
 SHA512 
7d9cfdf00ed58e66049585e8382fe4977088956421a0fb8155900c69afd8857309ad2b9301b3f74c9c0afa7287a0ddba2fd1538fcf57858b37a9ab712390016d
+DIST e2fsprogs-1.46.5.tar.xz 7040672 BLAKE2B 
8d8c02e891c464782a7cff518c41d793fc73366b57e17d80ffc5afd96e6144e354290e667e9710509a9dde4e5dab7e7185c5bf084c5bfd26219f05e5e92e0830
 SHA512 
53282e1c524f62a95012b1aceef296d494f5238c82c9b08b29fbe6a803dbf7ccfdcd9124eb2f11fe2ff9de26387c78751a92c3217ca414f6db6242098a72d3fa

diff --git a/sys-fs/e2fsprogs/e2fsprogs-1.46.5.ebuild 
b/sys-fs/e2fsprogs/e2fsprogs-1.46.5.ebuild
new file mode 100644
index 000000000000..9ae9e56c0922
--- /dev/null
+++ b/sys-fs/e2fsprogs/e2fsprogs-1.46.5.ebuild
@@ -0,0 +1,189 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic systemd toolchain-funcs udev usr-ldscript multilib-minimal
+
+DESCRIPTION="Standard EXT2/EXT3/EXT4 filesystem utilities"
+HOMEPAGE="http://e2fsprogs.sourceforge.net/";
+SRC_URI="https://www.kernel.org/pub/linux/kernel/people/tytso/e2fsprogs/v${PV}/${P}.tar.xz
+       elibc_mintlib? ( mirror://gentoo/${PN}-1.42.9-mint-r1.patch.xz )"
+
+LICENSE="GPL-2 BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="cron fuse lto nls static-libs +threads +tools elibc_FreeBSD"
+
+RDEPEND="
+       !sys-libs/${PN}-libs
+       cron? ( sys-fs/lvm2[-device-mapper-only(-)] )
+       fuse? ( sys-fs/fuse:0 )
+       nls? ( virtual/libintl )
+       tools? ( >=sys-apps/util-linux-2.16 )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig
+       sys-apps/texinfo
+       nls? ( sys-devel/gettext )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.40-fbsd.patch
+       "${FILESDIR}"/${PN}-1.42.13-fix-build-cflags.patch #516854
+
+       # Upstream patches (can usually removed with next version bump)
+)
+
+pkg_setup() {
+       if use tools ; then
+               MULTILIB_WRAPPED_HEADERS=(
+                       /usr/include/ext2fs/ext2_types.h
+               )
+       fi
+}
+
+src_prepare() {
+       if [[ ${CHOST} == *-mint* ]] ; then
+               PATCHES+=( "${WORKDIR}"/${PN}-1.42.9-mint-r1.patch )
+       fi
+
+       default
+
+       cp doc/RelNotes/v${PV}.txt ChangeLog || die "Failed to copy Release 
Notes"
+
+       # Get rid of doc -- we don't use them. This also prevents a sandbox
+       # violation due to mktexfmt invocation
+       rm -r doc || die "Failed to remove doc dir"
+
+       # prevent included intl cruft from building #81096
+       sed -i -r \
+               -e 's:@LIBINTL@:@LTLIBINTL@:' \
+               MCONFIG.in || die 'intl cruft'
+}
+
+multilib_src_configure() {
+       # Keep the package from doing silly things #261411
+       export VARTEXFONTS="${T}/fonts"
+
+       # needs open64() prototypes and friends
+       append-cppflags -D_GNU_SOURCE
+
+       local myeconfargs=(
+               --with-root-prefix="${EPREFIX}"
+               $(use_with cron crond-dir "${EPREFIX}/etc/cron.d")
+               --with-systemd-unit-dir="$(systemd_get_systemunitdir)"
+               --with-udev-rules-dir="${EPREFIX}$(get_udevdir)/rules.d"
+               --enable-symlink-install
+               --enable-elf-shlibs
+               $(tc-has-tls || echo --disable-tls)
+               $(multilib_native_use_enable fuse fuse2fs)
+               $(use_enable nls)
+               $(multilib_native_use_enable tools e2initrd-helper)
+               --disable-fsck
+               --disable-uuidd
+               $(use_enable lto)
+               $(use_with threads pthread)
+       )
+
+       # we use blkid/uuid from util-linux now
+       if use kernel_linux ; then
+               export ac_cv_lib_{uuid_uuid_generate,blkid_blkid_get_cache}=yes
+               myeconfargs+=( --disable-lib{blkid,uuid} )
+       fi
+
+       ac_cv_path_LDCONFIG=: \
+               ECONF_SOURCE="${S}" \
+               CC="$(tc-getCC)" \
+               BUILD_CC="$(tc-getBUILD_CC)" \
+               BUILD_LD="$(tc-getBUILD_LD)" \
+               econf "${myeconfargs[@]}"
+
+       if [[ ${CHOST} != *-uclibc ]] && grep -qs 'USE_INCLUDED_LIBINTL.*yes' 
config.{log,status} ; then
+               eerror "INTL sanity check failed, aborting build."
+               eerror "Please post your ${S}/config.log file as an"
+               eerror "attachment to 
https://bugs.gentoo.org/show_bug.cgi?id=81096";
+               die "Preventing included intl cruft from building"
+       fi
+}
+
+multilib_src_compile() {
+       if ! multilib_is_native_abi || ! use tools ; then
+               emake -C lib/et V=1
+               emake -C lib/ss V=1
+               if use tools ; then
+                       emake -C lib/ext2fs V=1
+                       emake -C lib/e2p V=1
+               fi
+               return 0
+       fi
+
+       emake V=1
+
+       # Build the FreeBSD helper
+       if use elibc_FreeBSD ; then
+               cp "${FILESDIR}"/fsck_ext2fs.c . || die
+               emake V=1 fsck_ext2fs
+       fi
+}
+
+multilib_src_test() {
+       if multilib_is_native_abi ; then
+               emake V=1 check
+       else
+               # For non-native, there's no binaries to test. Just libraries.
+               emake -C lib/et V=1 check
+               emake -C lib/ss V=1 check
+       fi
+}
+
+multilib_src_install() {
+       if ! multilib_is_native_abi || ! use tools ; then
+               emake -C lib/et V=1 DESTDIR="${D}" install
+               emake -C lib/ss V=1 DESTDIR="${D}" install
+
+               if use tools ; then
+                       emake -C lib/ext2fs V=1 DESTDIR="${D}" install
+                       emake -C lib/e2p V=1 DESTDIR="${D}" install
+               fi
+       else
+               emake \
+                       STRIP=: \
+                       DESTDIR="${D}" \
+                       install
+
+               # Move shared libraries to /lib/, install static libraries to
+               # /usr/lib/, and install linker scripts to /usr/lib/.
+               gen_usr_ldscript -a e2p ext2fs
+
+               if use elibc_FreeBSD ; then
+                       # Install helpers for us
+                       into /
+                       dosbin "${S}"/fsck_ext2fs
+               fi
+       fi
+
+       gen_usr_ldscript -a com_err ss $(usex kernel_linux '' 'uuid blkid')
+
+       # configure doesn't have an option to disable static libs :/
+       if ! use static-libs ; then
+               find "${ED}" -name '*.a' -delete || die
+       fi
+}
+
+multilib_src_install_all() {
+       einstalldocs
+
+       if use tools ; then
+               insinto /etc
+               doins "${FILESDIR}"/e2fsck.conf
+
+               if use elibc_FreeBSD ; then
+                       into /
+                       doman "${FILESDIR}"/fsck_ext2fs.8
+
+                       # filefrag is linux only
+                       rm \
+                               "${ED}"/usr/sbin/filefrag \
+                               "${ED}"/usr/share/man/man8/filefrag.8 || die
+               fi
+       fi
+}

Reply via email to